<!DOCTYPE html>
<html>
<head>
  <title>FoodGood</title>
  <%= csrf_meta_tags %>
  <%= csp_meta_tag %>

  <%= stylesheet_link_tag    'application', media: 'all', 'data-turbolinks-track': 'reload' %>
  <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>
</head>

<body>
<header class="bg-dark">
    <div class="container">
      <nav class="navbar navbar-expand-md navbar-dark bg-dark">
        <%= link_to 'Home', root_path, :class => 'navbar-brand' %>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav ml-auto">
            <% if user_signed_in? %>
            <li class="nav-item">
              <p class="nav-link text-white m-0">Hello,</p>
            </li>
            <li class="nav-item dropdown text-black">
              <%= link_to current_user.email, '#', id: 'navbarDropdown', role: 'button', data: { toggle: 'dropdown' }, :class => ' btn btn-light' %>
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <%= link_to 'Admin Panel' , admin_root_path, :class => 'dropdown-item' if can? :read, ActiveAdmin::Page %>
              <%= link_to 'Edit profile', edit_user_registration_path, :class => 'dropdown-item' %>
              <%= link_to 'Log Out', destroy_user_session_path, :class => 'dropdown-item', method: :delete %>
            </div>
          </li>
          <% else %>
          <li class="nav-item <%= 'active' if current_page?(new_user_session_path) %>">
            <%= link_to "Log in", new_user_session_path, :class => 'nav-link' %>
          </li>
          <li class="nav-item <%= 'active' if current_page?(new_user_registration_path) %>">
            <%= link_to "Sign in", new_user_registration_path, :class => 'nav-link' %>
          </li>
          <% end %>
        </ul>
      </div>
    </nav>
  </div>
</header>


  <div class="container my-2">
    <% flash.each do |alert, message| %>
    <%= content_tag 'div', message, :class => "alert alert-#{alert}" %>
    <% end %>
    <%= yield %>
  </div>
</body>
</html>
